# Generated by go2rpm 1.6.0
%bcond_without check
%bcond_without bootstrap
%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/moby/moby
%global goipath         github.com/docker/docker
%global forgeurl        https://github.com/moby/moby
Version:                22.06.0~beta.0
%global tag             v22.06.0-beta.0

%gometa

%global goaltipaths     github.com/moby/moby

%global common_description %{expand:
Moby is an open-source project created by Docker to enable and accelerate
software containerization.

It provides a "Lego set" of toolkit components, the framework for assembling
them into custom container-based systems, and a place for all container
enthusiasts and professionals to experiment and exchange ideas. Components
include container build tools, a container registry, orchestration tools, a
runtime and more, and these can be used as building blocks in conjunction with
other tools and projects.}

%global golicenses      LICENSE NOTICE
%global godocs          docs AUTHORS CHANGELOG.md CONTRIBUTING.md README.md\\\
                        ROADMAP.md SECURITY.md TESTING.md VENDORING.md

Name:           %{goname}
Release:        %autorelease
Summary:        Collaborative project for the container ecosystem

# Upstream license specification: MIT and Apache-2.0
License:        MIT AND Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
# For compatibility with current Swarmkit
# https://github.com/moby/swarmkit/issues/3081
Patch0:         0001-Revert-backend-add-StopOptions-to-ContainerRestart-a.patch
Patch1:         0002-Revert-client-ContainerStop-ContainerRestart-support.patch
Patch2:         0003-Revert-api-types-time-remove-DurationToSecondsString.patch

BuildRequires:  git-core
BuildRequires:  pkgconfig(libseccomp)
%if %{without bootstrap}
BuildRequires:  golang(github.com/agext/levenshtein)
BuildRequires:  golang(github.com/gofrs/flock)
BuildRequires:  golang(github.com/google/shlex)
BuildRequires:  golang(github.com/mitchellh/hashstructure)
BuildRequires:  golang(github.com/tonistiigi/units)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed -i "s|github.com/docker/distribution|github.com/distribution/distribution/v3|" $(find . -iname "*.go" -type f)

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

# %%build
# for cmd in cmd/* ; do
#  %%gobuild -o %%{gobuilddir}/bin/$(basename $cmd) %%{goipath}/$cmd
# done

%install
%gopkginstall
# install -m 0755 -vd                     %%{buildroot}%%{_bindir}
# install -m 0755 -vp %%{gobuilddir}/bin/* %%{buildroot}%%{_bindir}/

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

# %files
# %license LICENSE NOTICE
# %doc docs AUTHORS CHANGELOG.md CONTRIBUTING.md README.md ROADMAP.md SECURITY.md
# %doc TESTING.md VENDORING.md api/README.md
# %{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
